curl --request GET \
--url 'https://www.genviral.io/api/partner/v1/editor/projects?limit=20' \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Editor projects retrieved",
"data": {
"projects": [
{
"project_id": "b1d4e8f2-3a5c-4d7e-8f90-1a2b3c4d5e6f",
"title": "Launch cut",
"aspect_ratio": "9:16",
"updated_at": "2026-10-02T12:00:00.000Z"
}
],
"pagination": { "next_cursor": null, "has_more": false }
}
}
Video Editor
List Editor Projects
List video editor projects in the authenticated scope, newest edit first.
GET
/
api
/
partner
/
v1
/
editor
/
projects
curl --request GET \
--url 'https://www.genviral.io/api/partner/v1/editor/projects?limit=20' \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Editor projects retrieved",
"data": {
"projects": [
{
"project_id": "b1d4e8f2-3a5c-4d7e-8f90-1a2b3c4d5e6f",
"title": "Launch cut",
"aspect_ratio": "9:16",
"updated_at": "2026-10-02T12:00:00.000Z"
}
],
"pagination": { "next_cursor": null, "has_more": false }
}
}
Lists video editor projects in the authenticated key scope, most recently edited first. This
includes projects made in the Genviral web editor. Use Get Editor Project
to read one in full.
Query Parameters
integer
default:"20"
Page size, 1 to 50.
string
The
pagination.next_cursor from the previous page.Response
object[]
Each project has
project_id, title, aspect_ratio, and updated_at.object
next_cursor (string or null) and has_more (boolean).curl --request GET \
--url 'https://www.genviral.io/api/partner/v1/editor/projects?limit=20' \
--header 'Authorization: Bearer <token>'
{
"ok": true,
"code": 200,
"message": "Editor projects retrieved",
"data": {
"projects": [
{
"project_id": "b1d4e8f2-3a5c-4d7e-8f90-1a2b3c4d5e6f",
"title": "Launch cut",
"aspect_ratio": "9:16",
"updated_at": "2026-10-02T12:00:00.000Z"
}
],
"pagination": { "next_cursor": null, "has_more": false }
}
}
Error Responses
401- authentication failed (missing/invalid/revoked token)422 invalid_payload- a query parameter failed validation (seeissues)
